Subject: Re: [PATCH v3 1/2] Git.pm: add new temp_is_locked function

From: Jonathan Nieder <[email-masked]>
Date: Thu, 18 Jul 2013 12:35:52 -0700

Kyle J. McKay wrote:

> That change was made as a result of this feedback:
>
> On Jul 6, 2013, at 17:11, Jonathan Nieder wrote:
>> Kyle McKay wrote:
>>
>>> The temp_is_locked function can be used to determine whether
>>> or not a given name previously passed to temp_acquire is
>>> currently locked.
>> [...]
>>> +=item temp_is_locked ( NAME )
>>> +
>>> +Returns true if the file mapped to C<NAME> is currently locked.
>>> +
>>> +If true is returned, an attempt to C<temp_acquire()> the same
>>
> [snip]
>
>> Looking more closely, it looks like this is factoring out the idiom
>> for checking if a name is already in use from the _temp_cache
>> function.  Would it make sense for _temp_cache to call this helper?
>
> So I think the answer is it does not make sense for _temp_cache to
> call this helper.

Thanks for looking into it.

Sorry for the confusion.  The point of my question was an example of a
way to make sure the internal API stays easy to understand.  But it
seems to have backfired, and this is a small enough isolated change
that I think it's okay to say "let's clean it up later".

> Will release a v4 in just a moment with that single change reverted.

Thanks.